<%@page import="com.itextpdf.text.log.SysoLogger"%>
<%@page import="java.util.Map.Entry"%>
<%@page import="java.math.BigDecimal"%>
<%@page session="true" import="com.edeal.frontline.*,
								java.util.*,java.util.Map.Entry,
								java.text.*,java.lang.reflect.*,
								com.edeal.frontline.navigation.*,
								com.edeal.frontline.helper.custom.*"%>
<%@page session="true" import="com.edeal.frontline.Utils"%>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<%@ page import="com.edeal.frontline.helper.custom.FormHelper" %>
<%@ page import="com.edeal.frontline.controller.actions.custom.LoadWebFormPvtAction" %>
<%@page import="org.apache.commons.lang.StringUtils"%>
<jsp:useBean class="com.edeal.frontline.FormBean" id="Form" scope="request"/>
<jsp:useBean class="com.edeal.frontline.PersonBean" id="Person" scope="request"/>
<jsp:useBean class="com.edeal.frontline.FormResponseBean" id="FormResponse" scope="request"/>
<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	
	String printOnly = flRequest.getRequestParameterOrAttribute("printOnly"); 
	if(printOnly==null || !"TRUE".equals(printOnly)) printOnly=null;
	String utk = flRequest.getRequestParameterOrAttribute("utk");
	if(utk != null) flRequest.setAttribute("utk", utk);
	String eventCode = flRequest.getRequestParameterOrAttribute("event");
	if(eventCode != null) flRequest.setAttribute("event", eventCode);
	
	String entID = FormHelper.getEntIDFromUTK(context, utk);

	String lngId = "";
	try{
			lngId = (new EnterpriseBean(entID, context)).getCustomProperty("EntRefLngID_").toString();
		}catch(Exception e){
			lngId = dico.getRefIdByCode("Lna", "Te1", "fr_FR");
		}
	String franceID = dico.getRefIdByCode("Ctr", "Te1", "FR");
	String guyFrID = dico.getRefIdByCode("Ctr", "Te1", "GF");
	String ctrId = "";
	try{
		ctrId = (new EnterpriseBean(entID, context)).getEntCtrID();
	}catch(Exception e){
		ctrId = franceID;
	}
	
	String languageID = lngId;
	String lngCode = dico.getRefCode("EntRefLngID_", languageID);
	String countryID = ctrId;//dico.getRefIdByCode("Ctr", "Te1", "FR");
	FlLocale locale = FlLocale.getInstance(context, languageID, countryID);
	
	 String init = flRequest.getRequestParameterOrAttribute("init");
	 String actID = (String)request.getSession().getAttribute("actorID");
	 String actcode = null;
	 if(actID != null){
		 ActorBean actor = new ActorBean(actID, context);
		 actcode = actor.getActCode();
	 }
	Date expireDt = null;
	//http://u-project2.umanis.com/view.php?id=39749 : Export guide / localits et Millsime
	String millesime = "";
	try{
		millesime = String.valueOf((Integer)Form.getCustomProperty("FrmMillesime_"));
	}catch(Exception e){
		logger.error(" The field 'FrmMillesime_' not initialized to get 'Millesime' :" + e.getMessage());
		try {
			millesime = context.getContextParameter("Millesime");
		} catch (Exception e2) {
			logger.error("Option 'Millesime' not found :" + e2.getMessage());
		}
	}
	Calendar cal = Calendar.getInstance();
	cal.setTime(new Date());
	int year = cal.get(Calendar.YEAR);
	
	Boolean askForStatus = (Boolean)flRequest.getAttribute(
								LoadWebFormPvtAction.ATT_ASKUSEREVTSTATUS);
	String enterprise = "";
	String perEntID = null;
	String ctType = null;
	//int entCotisationMil_ = 0;
	try{
		perEntID = Person.getPerEntID();
		enterprise = (new EnterpriseBean(perEntID,context)).getCustomProperty("EntDispName_").toString();
	}catch(Exception fe){
		
	}
	
	//logger.info("contrat type :: " + ctType);
 	String pvtStatus =  "";
 	try { 
 		pvtStatus = ((Integer)flRequest.getAttribute(LoadWebFormPvtAction.ATT_PVTSTATUS)).toString();
 	 } catch (Exception e) {}
 	int iPvtStatus=Integer.MIN_VALUE;
 	try {
 		iPvtStatus=Integer.parseInt(pvtStatus);
 	} catch (Exception e) {}
 	@SuppressWarnings({ "rawtypes"})
 	Vector eventStatusList=(Vector)flRequest.getAttribute(LoadWebFormPvtAction.ATT_EVTSTATUSLIST);
 	
 	
 	String webIntro = "";
 	String webHeader = "";
 	String webConclusion = "";
 	String webFooter = "";
 	String webTermsOfUse = "";
 	
 	try { webIntro = FormHelper.makeHtmlCrLf(Form.getFrmWebIntro()); } catch (Exception e) {}
 	try { webHeader = FormHelper.makeHtmlCrLf(Form.getFrmWebHeader()); } catch (Exception e) {}
 	try { webConclusion = Form.getFrmWebConclusion(); } catch (Exception e) {}
 	try { webFooter = FormHelper.makeHtmlCrLf(Form.getFrmWebFooter()); } catch (Exception e) {}
 	try { webTermsOfUse =FormHelper.makeHtmlCrLf(Form.getFrmWebTermsOfUse()); } catch (Exception e) {}
 	
 	boolean fDoDisplayIntro=false;
 		try {
 			fDoDisplayIntro=(Boolean)flRequest.getAttribute(LoadWebFormPvtAction.ATT_DISPLAYINTRO);
 		} catch (Exception e) {}
 	
 	// get the link for navigation
 	boolean hasNextQuestions=false;
 	boolean hasPreviousQuestions=false;
 	boolean canValidate= false;
 	boolean canIntegrate = false;
 	boolean isFormPaginated=false;
 	
 	int positionFirstQuestion=-1;
 	int positionLastQuestion=-1;
 	
 // taritement sur l'volution EB012
	String contratRompu=null;
	try {
		contratRompu = Contrat_Helper.getAffiliateNumberByPersonID(context, Person.getID()); //ABM correction aprs retour Sonia
		if(contratRompu.equals("")){
			contratRompu=null;
		}
	} catch (Exception e1) {
		contratRompu=null;
	}
	
	String peridForm = Person.getID();
	String utkForm = utk;
%>
<html>
	<head>
		<meta http-equiv="content-type" content="multipart/mixed; charset=utf-8" />
		<link media="screen" href="<fl:webapp/>/siteweb/webform/webform-guide.css" type="text/css" rel="stylesheet">
		<link href="<fl:webapp/>/siteweb/webform/webform.css" type="text/css" rel="stylesheet">
		<link media="print" href="<fl:webapp/>/siteweb/webform/webform_print.css" type="text/css" rel="stylesheet">
		<script type="text/javascript" src="<fl:webapp/>/js/edeal/libraries/jquery/jquery-1.8.2.js"></script>
		<script type="text/javascript" src="<fl:webapp/>/js/edeal/libraries/jquery/jquery.ajaxfileupload.js"></script>
		<script type="text/javascript" src="<fl:webapp/>/siteweb/webform/bignumber.min.js"></script>
		<script type="text/javascript" src="<fl:webapp/>/siteweb/webform/webform-guide.js"></script>
		<script type="text/javascript" src="<fl:webapp/>/js/presentField.js"></script>
		<script language="javascript" src="<fl:webapp/>/js/checkFields.jsp"></script>
		<script language="javascript" src="<fl:webapp/>/js/format_tel.jsp"></script>
		<script type="text/javascript">
		
		function calculTotalPrd(prdCode){ 
			var qt = document.getElementById('qu_'+prdCode).value;
			if(/^\+?(0|[1-9]\d*)$/.test(qt)){
			$(".prd-heb").each(function(){
			if (this.name.toLowerCase().indexOf("qu_") >= 0){
						this.value = qt;
					} 
				});
			doLoadCot();
				
			}else{
				alert('<%=Utils.getMessage(context, lngCode, "LF381", true,true,"please insert a valide quantity !")%>');
			var initialValue = -1;
			$(".prd-heb").each(function(){
			if (initialValue == -1 && this.name.toLowerCase().indexOf("qu_") >= 0 && /^\+?(0|[1-9]\d*)$/.test(this.value)){
					initialValue = this.value;
				} 
			});
			document.getElementById('qu_'+prdCode).value = initialValue;
				}
			}
		function isItValid(type,element){
			if(type == 'java.lang.Double|java.lang.Double' || type == 'java.lang.Double'){
				element.value = trim1(element.value);
				var element1 = document.getElementsByName(element.name)[0];
				var element2 = document.getElementsByName(element.name)[1];
				if(/^\+?([0-9]\d*)\.?(([0-9]\d*)*)$/.test(trim1(element1.value)) && !(type == 'java.lang.Double') && !trim1(element2.value))
					return true;
				if(!trim1(element1.value) && (type == 'java.lang.Double'))
					return true;
				if(!(/^\+?([0-9]\d*)\.?(([0-9]\d*)*)$/.test(element.value))){
					alert('<%=Utils.getMessage(context, lngCode, "LF37F", true,true,"please insert a valid price !")%>');
					element.value = '';
					element.focus();
					return false;
				}else{
					element.value = Number(element.value).toFixed(2);
				}
			}else if(type == 'java.util.Date|java.util.Date' || type == 'java.util.Date'){
				element.value = trim1(element.value);
				if(!isDate(element.value+'/<%=millesime%>')){
					alert('<%=Utils.getMessage(context, lngCode, "LF380", true,true,"please insert a valid Date dd/mm !")%>');
					element.value = '';
					element.focus();
					return false;
				}
			}else if(type == 'java.lang.Integer'){
				element.value = trim1(element.value);
				if(!(/^\+?(0|[1-9]\d*)$/.test(element.value))){
					alert('<%=Utils.getMessage(context, lngCode, "LF381", true,true,"please insert a valid Integer !")%>');
					element.value = '';
					element.focus();
					return false;
				}
			}
			return true;
		}
		
		function isNumberPhoneValid(element){
			var filter = /^[0-9-+() ]+$/;
			var entphoneVal = element.value;
			if(entphoneVal != null && entphoneVal.length > 0){
				if(!filter.test(entphoneVal)) {
					//TODO
					alert('<%=Utils.getMessage(context, lngCode, "MF1F3", true,true,"")%>');
					element.style = "background-color: #FDCBCC;"
					element.value = '';
					element.focus();
					return false;
				}
			}
		}
		function isEmailValid(element){
			var entmailVal = element.value;
			if (entmailVal != null && entmailVal.length > 0){
				if (!checkEmail(entmailVal)){ 
					//alert('<%=Utils.getMessage(context, lngCode, "MF1F2", true,true,"")%>');
					alert("<%=Utils.getMessage(context, lngCode, "MF1F2", true,true,"")%>");
					element.style = "background-color: #FDCBCC;"
					element.value = '';
					element.focus();
					return false;
				}
			}
		}
		
		function formatSiret(element){
			if(element != null && element != undefined){
				var siretVal =  element.value;
				siretVal = siretVal.replace(/ /g, "");
				siretVal = siretVal.replace(/[a-z]/g, "");
				if(siretVal.length <= 14){
					element.value = siretVal;
				}else{
					alert('<%=Utils.getMessage(context, lngCode, "MF1C6", true,true,"Merci de renseigner 14 chiffres numriques !")%>');
					element.value = "";
					element.focus();
				}
			}
		}
		function isIntervalValid(type,element){
		if(type == 'java.lang.Double|java.lang.Double'){
		var price1 = parseFloat(document.getElementsByName(element.name)[0].value);
		var price2 = parseFloat(document.getElementsByName(element.name)[1].value);
		price1 = (Math.round(price1*100)/100);
		price2 = (Math.round(price2*100)/100);
		if (price1>price2){
			alert('<%=Utils.getMessage(context, lngCode, "LF382", true,true,"the second price should be bigger than the first one !")%>');
		document.getElementsByName(element.name)[1].value = '';
				document.getElementsByName(element.name)[1].focus();
				return false;
			}
		}else if(type == 'java.util.Date|java.util.Date'){
		var date1 = document.getElementsByName(element.name)[0].value;
		var date2 = document.getElementsByName(element.name)[1].value;
		date1 = getDatefromString(date1+'/<%=millesime%>');
		date2 = getDatefromString(date2+'/<%=millesime%>');
		if( date1 > date2){
		    alert('<%=Utils.getMessage(context, lngCode, "LF383", true,true,"End date should be greater than Start date !")%>');
		document.getElementsByName(element.name)[1].value = '';
				    document.getElementsByName(element.name)[1].focus();
				    return false;
				}
		}else if(type == '7to23'){
			var price1 = parseInt(document.getElementsByName(element.name)[0].value);
			if (price1>23 || price1 < 7){
				alert('<%=Utils.getMessage(context, lngCode, "MF1CA", true,true,"La semaine de livraison doit tre compris entre 7 et 23 !")%>');
					document.getElementsByName(element.name)[0].value = '';
					document.getElementsByName(element.name)[0].focus();
					return false;
				}
			} 
			return true;
		}
		
		<%-- function doSubmitV(navigation) {
			try{
				//champs obligatoires � renseigner
			<%
			String LfqPositions = FormHelper.getLfqPositionOfMandatoryQuestions(context,eventCode,"'40','39','38'");
			String REFVAL_NO_ID = null;
			 try {
				 REFVAL_NO_ID = dico.getRefIdByCode("Yno", "Te1", "NO2");
			 }catch(Exception e){
				 REFVAL_NO_ID = "00012d00000347f4";
			 }
			%>
			lfqPositions = "<%=LfqPositions%>";
			parts = lfqPositions.split("|");
			lfqpositionRadioButton = "";
			for(i=0;i<parts.length-1;i++){
				LfqPosition = parts[i].split(":")[0];
				FqtSeqNum = parts[i].split(":")[1];
				if(FqtSeqNum == 40){
					lfqpositionRadioButton = LfqPosition;
					break;
				}else
					continue;
			}
			radioElNo = document.getElementsByName(lfqpositionRadioButton+"_ResponseRefID")[0] ;
			radioElNo0 = document.getElementsByName(lfqpositionRadioButton+"_ResponseRefID")[0];
			if(radioElNo0 != null && !radioElNo0.value){
				if(radioElNo0.value == '<%=REFVAL_NO_ID%>')
					radioElNo = radioElNo0;
			}
			radioElNo1 = document.getElementsByName(lfqpositionRadioButton+"_ResponseRefID")[1];
			if(radioElNo1 != null && !radioElNo1.value){
				if(radioElNo1.value == '<%=REFVAL_NO_ID%>')
					radioElNo = radioElNo1;
			}
			alertmsg = '<%=Utils.getMessage(context, lngCode, "MF1AF", true,true,"Le(s) champ(s) obligatoire(s) n a(ont) pas t saisi(s)")%>';
			for(i=0;i<parts.length-1;i++){
				LfqPosition = parts[i].split(":")[0];
				FqtSeqNum = parts[i].split(":")[1];
				currentElement = document.getElementsByName(LfqPosition+"_ResponseTxt")[0];
				if(FqtSeqNum == 40){
					continue;
				}
				
				if(FqtSeqNum == 39){
					//champ min du petit dej
					if(radioElNo!=null && radioElNo.checked){
						if (currentElement != null && !currentElement.value){
							alert(alertmsg);
							currentElement.focus();
							currentElement.style.background = "#00e800";
							return;
						}else{
							currentElement = document.getElementsByName(LfqPosition+"_ResponseInt")[0];
							if (currentElement != null && !currentElement.value){
								alert(alertmsg);
								currentElement.focus();
								currentElement.style.background = "#00e800";
								return;
							}
						}
					}
					
				}else{
					if (currentElement != null && !currentElement.value){
						alert(alertmsg);
						currentElement.focus();
						currentElement.style.background = "#00e800";
						return;
					}else{
						currentElement = document.getElementsByName(LfqPosition+"_ResponseInt")[0];
						if (currentElement != null && !currentElement.value){
							alert(alertmsg);
							currentElement.focus();
							currentElement.style.background = "#00e800";
							return;
						}
					}
				}
			}
			}catch(err){
				alert(err);
				return;
			}
			f=document.forms[0];
			if (navigation) {
				f.action+= '&' + navigation;
			}
			$("*[disabled]").css("visibility", "hidden");
			$("*[disabled]").removeAttr("disabled");
			// popup pour chargement
			loadingPopUp();
			f.submit();
		} --%>
		
		
		function doSubmitVajax(navigation) {
			try{
				//champs obligatoires � renseigner
			<%
			String lfqPositions = FormHelper.getLfqPositionOfMandatoryQuestions(context,Form.getFrmID());
			String REFVAL_NO_ID = null;
			 try {
				 REFVAL_NO_ID = dico.getRefIdByCode("Yno", "Te1", "NO2");
			 }catch(Exception e){
				 REFVAL_NO_ID = "00012d00000347f4";
			 }
			%>
			lfqPositions = "<%=lfqPositions%>";
			parts = lfqPositions.split("|");
			lfqpositionRadioButton = "";
			var isFrance = false;
			
			<%if(franceID.equals(ctrId) || guyFrID.equals(ctrId)){ %>
			isFrance = true;
			<%}%>
			for(i=0;i<parts.length;i++){
				LfqPosition = parts[i].split(":")[0];
				FqtSeqNum = parts[i].split(":")[1];
				if(FqtSeqNum == 40){
					lfqpositionRadioButton = LfqPosition;
					break;
				}else
					continue;
			}
			var prefixes = [];
			$("form input[name=prefix]").each(function(){
			    prefixes.push($(this).val()+"_");
			});
			for(j = 0; j < prefixes.length; j++){
// 				if(!prefixes[j].endsWith("_")){
				radioElNo = document.getElementsByName(prefixes[j]+lfqpositionRadioButton+"_ResponseRefID")[0] ;
				radioElNo0 = document.getElementsByName(prefixes[j]+lfqpositionRadioButton+"_ResponseRefID")[0];
				if(radioElNo0 != null && !radioElNo0.value){
					if(radioElNo0.value == '<%=REFVAL_NO_ID%>')
						radioElNo = radioElNo0;
				}
				radioElNo1 = document.getElementsByName(prefixes[j]+lfqpositionRadioButton+"_ResponseRefID")[1];
				if(radioElNo1 != null && !radioElNo1.value){
					if(radioElNo1.value == '<%=REFVAL_NO_ID%>')
						radioElNo = radioElNo1;
				}
				alertmsg = '<%=Utils.getMessage(context, lngCode, "MF1AF", true,true,"Le(s) champ(s) obligatoire(s) n a(ont) pas t saisi(s)")%>';
				for(i=0;i<parts.length;i++){
					LfqPosition = parts[i].split(":")[0];
					FqtSeqNum = parts[i].split(":")[1];
					currentElement = document.getElementsByName(prefixes[j]+LfqPosition+"_ResponseTxt")[0];
					if(FqtSeqNum == 40){
						continue;
					}
					
					if(FqtSeqNum == 50 && !isFrance){
						continue;
					}
					if(FqtSeqNum == 39){
						//champ min du petit dej
						if(radioElNo!=null && radioElNo.checked){
							if (currentElement != null && !currentElement.value){
								alert(alertmsg);
								filterElem = 'input[name="'+prefixes[j]+LfqPosition+'_ResponseTxt"]';
								var elem = document.getElementById("button_"+$(filterElem).closest('.tabcontent').attr('id'));
								idtabcontent = $(filterElem).closest('.tabcontent').attr('id');
								openTiersTab(elem,idtabcontent,false);
								currentElement.style.background = "#00e800";
								setTimeout(function(){ currentElement.focus();}, 1);
								return;
							}else{
								currentElement = document.getElementsByName(prefixes[j]+LfqPosition+"_ResponseInt")[0];
								if (currentElement != null && !currentElement.value){
									alert(alertmsg);
									filterElem = 'input[name="'+prefixes[j]+LfqPosition+'_ResponseInt"]';
									var elem = document.getElementById("button_"+$(filterElem).closest('.tabcontent').attr('id'));
									idtabcontent = $(filterElem).closest('.tabcontent').attr('id');
									openTiersTab(elem,idtabcontent,false);
									currentElement.style.background = "#00e800";
									setTimeout(function(){ currentElement.focus();}, 1);
									return;
								}
							}
						}
						
					}else if((FqtSeqNum >= 175 &&  FqtSeqNum <= 181)){
						var radioElementO = document.getElementsByName(prefixes[j]+LfqPosition+"_ResponseRefID")[1];
						var radioElementF = document.getElementsByName(prefixes[j]+LfqPosition+"_ResponseRefID")[0];
						if(!radioElementO.checked && !radioElementF.checked){
						currentElement = document.getElementsByName(prefixes[j]+LfqPosition+"_ResponseInt")[0];
						var thirdElement = document.getElementsByName(prefixes[j]+LfqPosition+"_ResponseInt")[2];
						var fourthElement = document.getElementsByName(prefixes[j]+LfqPosition+"_ResponseInt")[3];
						var secondElement = document.getElementsByName(prefixes[j]+LfqPosition+"_ResponseInt")[1];
						if (currentElement != null && !currentElement.value){
							if((thirdElement != null && !thirdElement.value)){
							alert(alertmsg);
							filterElem = 'input[name="'+prefixes[j]+LfqPosition+'_ResponseInt"]';
							var elem = document.getElementById("button_"+$(filterElem).closest('.tabcontent').attr('id'));
							idtabcontent = $(filterElem).closest('.tabcontent').attr('id');
							openTiersTab(elem,idtabcontent,false);
							currentElement.style.background = "#00e800";
							setTimeout(function(){ currentElement.focus();}, 1);
							return;
							}else {
								if((fourthElement != null && !fourthElement.value)){
									alert(alertmsg);
									filterElem = 'input[name="'+prefixes[j]+LfqPosition+'_ResponseInt"]';
									var elem = document.getElementById("button_"+$(filterElem).closest('.tabcontent').attr('id'));
									idtabcontent = $(filterElem).closest('.tabcontent').attr('id');
									openTiersTab(elem,idtabcontent,false);
									fourthElement.style.background = "#00e800";
									setTimeout(function(){ fourthElement.focus();}, 1);
								}
								
							}
						}else{
							if(currentElement != null && currentElement.value && !secondElement.value && !fourthElement.value){
								alert(alertmsg);
								filterElem =  "input[name='"+prefixes[j]+LfqPosition+"_ResponseInt']" ;
								var elem = document.getElementById("button_"+$( filterElem ).closest('.tabcontent').attr('id'));
								idtabcontent = $(filterElem).closest('.tabcontent').attr('id');
								openTiersTab(elem,idtabcontent,false);
								secondElement.style.background = "#00e800";
								setTimeout(function(){ secondElement.focus();}, 1);
								return;
							}
							
							if(thirdElement != null && thirdElement.value  && !fourthElement.value){
								alert(alertmsg);
								filterElem = 'input[name="'+prefixes[j]+LfqPosition+'_ResponseInt"]';
								var elem = document.getElementById("button_"+$(filterElem).closest('.tabcontent').attr('id'));
								idtabcontent = $(filterElem).closest('.tabcontent').attr('id');
								openTiersTab(elem,idtabcontent,false);
								fourthElement.style.background = "#00e800";
								setTimeout(function(){ fourthElement.focus();}, 1);
								return;
							}
						}
						}
					}else{
						if (currentElement != null && !currentElement.value){
							alert(alertmsg);
							filterElem = 'input[name="'+prefixes[j]+LfqPosition+'_ResponseTxt"]';
							var elem = document.getElementById("button_"+$(filterElem).closest('.tabcontent').attr('id'));
							idtabcontent = $(filterElem).closest('.tabcontent').attr('id');
							openTiersTab(elem,idtabcontent,false);
							currentElement.style.background = "#00e800";
							setTimeout(function(){ currentElement.focus();}, 1);
							return;
						}else{
							currentElement = document.getElementsByName(prefixes[j]+LfqPosition+"_ResponseInt")[0];
							if (currentElement != null && !currentElement.value){
								alert(alertmsg);
								filterElem = 'input[name="'+prefixes[j]+LfqPosition+'_ResponseInt"]';
								var elem = document.getElementById("button_"+$(filterElem).closest('.tabcontent').attr('id'));
								idtabcontent = $(filterElem).closest('.tabcontent').attr('id');
								openTiersTab(elem,idtabcontent,false);
								currentElement.style.background = "#00e800";
								setTimeout(function(){ currentElement.focus();}, 1);
								return;
							}else{
								currentElement = document.getElementsByName(prefixes[j]+LfqPosition+"_ResponseRefID")[0];
								//alert(prefixes[j]+LfqPosition+"_ResponseRefID");
								
								if (currentElement != null && currentElement.type.indexOf("checkbox") >= 0  && !currentElement.checked){
									alert(alertmsg);
									filterElem = 'input[name="'+prefixes[j]+LfqPosition+'_ResponseRefID"]';
									var elem = document.getElementById("button_"+$(filterElem).closest('.tabcontent').attr('id'));
									idtabcontent = $(filterElem).closest('.tabcontent').attr('id');
									openTiersTab(elem,idtabcontent,false);
									$(filterElem).first().parent().css("background-color", "red");
									setTimeout(function(){ $(filterElem).first().focus();}, 1);
									return;
								}
							}
						}
					}
				}
// 			}
			}
			}catch(err){
				alert(err);
				return;
			}
			doSubmitAjax(navigation);
			/*
			f=document.forms[0];
			if (navigation) {
				f.action+= '&' + navigation;
			}
			$("*[disabled]").css("visibility", "hidden");
			$("*[disabled]").removeAttr("disabled");
			// popup pour chargement
			loadingPopUp();
			f.submit();
			*/
		}
		
		function calculateIndice(prefix, position, languageID, countryID){
        	var selected = [];
        	var selector = 'ul#'+ prefix + '_WebForm_ValQuestion' + position + ' li label input[type=checkbox]';
        	$(selector).each(function() {
        		   if ($(this).is(":checked")) {
        		       selected.push($(this).val());
        		   }
        		});
        	if(selected.length != 0){
        	var url = '<fl:link url="/calculate_index.fl?"/>CritList=' + selected.join("|") + '&languageID=' + languageID + '&countryID=' + countryID;
        	$.getJSON(url, function(data) {
        		if (data != null) {
        			document.getElementById("PrintResult").style.color = 'black';
        			console.log(data)
        			document.getElementById("PrintResult").innerText =   data.map.counter;
        			document.getElementById('input1_w100_fqtNum182').options.selectedIndex = 0;
        			var options = document.getElementById('input1_w100_fqtNum182').options;
        			for(var i = 0; i < options.length ; i++){
        				if(data.map.indexID === options[i].value){
        					options[i].selected = true;
        				}
        			}
        		}	
        	});
        	}else{
        		document.getElementById("PrintResult").style.color = 'red';
        		document.getElementById("PrintResult").innerText =  0;
        	}
        	
        	
        }

		</script>
		<title><%=Utils.getMessage(context, lngCode, "L63F4", true,true,"R�ponse au questionnaire")%></title>
	</head>	
	<body onload="">
		<div id="webform" class="webform">
			<script type="text/javascript">
				function hidePageContent(){
					if((navigator.userAgent.indexOf("Edg") != -1 ) || (!!document.documentMode == true )){
						document.body.innerText = "Merci d'utiliser un autre navigateur !";
						document.body.style.textAlign = "center";
					}
				}
		 		hidePageContent();
	 		</script>
			<p class="pAffilie">
				<%= Utils.getMessage(context, lngCode, "LF1DC", true,true,"N� Affili�") +
				"&nbsp;:&nbsp;" + Contrat_Helper.getAffiliateNumberByPersonID(context, Person.getPerID())%>&nbsp;&nbsp;
			</p>   	
			<div class="logo"><img class="logo_img" src="<fl:webapp/>/icons/Logo_groupe.png" alt=""/></div>
			<div class="webform_title">
			<div class="div_web_form_title">
			<%-- <%=Utils.getMessage(context, lngCode, "LF22E", true,true,"FEDERATION INTERNATIONALE DES LOGIS")%></div>
			<div class="div_web_form_title_sub"> --%>
			<br/>
			
			<%if(eventCode.startsWith("EVQG")){ // EVQG23 %>
					<%=Utils.getMessage(context, lngCode, "MF1D6", true,true,"QUESTIONNAIRE") + " " + millesime %>
			<% } else if(eventCode.startsWith("EVQMM")){ // EVQMM23 %>
					<%=Utils.getMessage(context, lngCode, "MF3D8", true,true,"Cration de votre fiche htel") %>
			<% } %>
			</div>
			</div>
			<br/>
			
			<div class="div_web_form_header"><%= webHeader %></div>
			<div class="div_web_form_header_sub">
			<p class="p_web_form_header">&nbsp;<%=enterprise%></p>  
			</div>
			<br/>
			<br/>
			<br/>
			<div id="navigationButton" class="NavigationButton doNotPrint">
				<a href="javascript:topForm();"><img class="ScrollButton" src="<fl:webapp/>/icons/up.png" alt="Up"/></a>
				<br/>
				<a href="javascript:bottomForm();"><img class="ScrollButton" src="<fl:webapp/>/icons/down.png" alt="Down"/></a>
			</div>
			<%
			Map<String,String> map = EnterpriseHelper.getListIdsTiersAssociesGuide(context, entID);
			Iterator<String> it = map.keySet().iterator();
			boolean first = true;
			%>
			<div class="tab doNotPrint header" id="myHeader">
			<%
			while(it.hasNext()){
				String key = it.next();
				String val = map.get(key); 
				String tierstypeTe1 = (String) EnterpriseBean.lookup(context,"EntTyeID:RefTe1",key);%>
			  <button id="button_<%=val+key %>" class="tablinks <%= first ? "active" : ""%>" onclick="openTiersTab(this, '<%=val+key %>')"><%=tierstypeTe1 %></button>
			<%
				first = false;
			} 
			%>
			<button id="button_Questionnaire_Covid" class="tablinks <%= first ? "active" : ""%>" onclick="openTiersTab(this, '<%= map.get(entID) + entID%>_Covid')"><%=Utils.getMessage(context, lngCode, "FF343", true,true,"Indice Sjour Plus Sr")%></button>
			</div>
		
			<%
			
			
			@SuppressWarnings({ "rawtypes", "unchecked" })
			LinkedHashMap<String,Vector<String>> mapSanitQuestionResponse=null;
			LinkedHashMap<String,Vector<String>> mapCotQuestionResponse=null;
			LinkedHashMap<String,Vector<String>> mapQuestionResponse= null;
			LinkedHashMap<String,Vector<String>> mapInitialQuestionResponse=null;
			LinkedHashMap<String,Vector<String>> mapInitialSanitQuestionResponse=null;
			String tiersPrincipalTypeValue = EnterpriseHelper.getTiersPrincipalTypeValue(context, entID);
			it = map.keySet().iterator();
			first = true;
			while(it.hasNext()){
				String key = it.next();
				String val = map.get(key);
				String QuestRespConst = LoadWebFormPvtAction.ATT_QUESTIONRESPONSEMAP;
				String InitQuestRespConst = LoadWebFormPvtAction.ATT_INIT_QUESTIONRESPONSEMAP;
				String InitHealthyQuestRespConst = LoadWebFormPvtAction.ATT_INIT_HEALTHY_QUESTIONRESPONSEMAP;
				String prefix = "T";
				if(val.startsWith("R")){
					prefix = "R";
				}else if(val.startsWith("M")){
					prefix = "M";
				}else if(val.startsWith("I")){
					prefix = "I";
				}
				mapQuestionResponse = new LinkedHashMap<String,Vector<String>>();
				mapInitialQuestionResponse = new LinkedHashMap<String,Vector<String>>();
// 				mapCotQuestionResponse = new LinkedHashMap<String,Vector<String>>();
				if("T".equals(prefix)){
				 	mapQuestionResponse=(LinkedHashMap<String,Vector<String>>)flRequest.getAttribute(QuestRespConst);
				 	mapInitialQuestionResponse=(LinkedHashMap<String,Vector<String>>)flRequest.getAttribute(InitQuestRespConst);
				 	//supprimer dans le cadre de l'volution de sparation entre le devis et le questionnaire 69585
				 	mapSanitQuestionResponse = (LinkedHashMap<String,Vector<String>>)flRequest.getAttribute(LoadWebFormPvtAction.ATT_QUESTIONRESPONSESANITMAP);
				 	mapInitialSanitQuestionResponse = (LinkedHashMap<String,Vector<String>>)flRequest.getAttribute(InitHealthyQuestRespConst);
				}else{
					mapQuestionResponse=(LinkedHashMap<String,Vector<String>>)flRequest.getAttribute(QuestRespConst+prefix);
					mapInitialQuestionResponse=(LinkedHashMap<String,Vector<String>>)flRequest.getAttribute(InitQuestRespConst+prefix);
					//supprimer dans le cadre de l'volution de sparation entre le devis et le questionnaire 69585
					if(tiersPrincipalTypeValue.startsWith(prefix)){
						mapSanitQuestionResponse = (LinkedHashMap<String,Vector<String>>)flRequest.getAttribute(LoadWebFormPvtAction.ATT_QUESTIONRESPONSESANITMAP);
						mapInitialSanitQuestionResponse = (LinkedHashMap<String,Vector<String>>)flRequest.getAttribute(InitHealthyQuestRespConst);
					}
				}
				String title = (String) EnterpriseBean.lookup(context,"EntTyeID:RefTe1",key);
				title += ": " + (String) EnterpriseBean.lookup(context,"EntDispName_",key);
			%>
		
		<div class="tab doPrint <%=first ? "":"pageBreakBeforeThis"%>" style="display:none;">
		  <button class="tablinks active"><%=title %></button>
		</div>
			
		<div id="<%=val+key %>" class="tabcontent doPrint" style="display:<%=first ? "block":"none"%>;">
		
		<% 
		
		if(!first){
			peridForm = LoadWebFormPvtAction.getPersonIdFromFormAndEnterprise(context,Person.getID(),Form.getID(),val);
			utkForm = peridForm != null && peridForm.length() == 16 ? peridForm.substring(8): utkForm;
		}
		
		%>
		<form action="<fl:webapp/>/save_web_form<%= first ? "" : "_ajax" %>.fl?" enctype="multipart/mixed stream" id="<%=prefix %>_Form" method="POST" name="<%=prefix %>_Form">
			<input type="hidden" name="id" value="<%=Form.getID()%>">
			<input type="hidden" name="type" value="Form">
			<input type="hidden" name="$$presentFields" value="">
			<input type="hidden" id="$$multivalSeparator" name="$$multivalSeparator" value="|">
		
			<input type="hidden" name="utk" value="<%=utkForm%>">
			<input type="hidden" name="event" value="<%=eventCode%>">
			<input type="hidden" name="FormID" value="<fl:getProperty name="Form" alt="" property="FrmID"/>">
			<input type="hidden" name="PerID" value="<%=peridForm %>">
			<input type="hidden" name="EventID" value="<fl:getProperty name="Form" alt="" property="FrmEventID"/>">
			<input type="hidden" name="savemode" value="<%= (isFormPaginated?"partial":"full") %>"/>
			<input type="hidden" name="prefix" value="<%=prefix %>">
			<% 
			if(init != null && !Utils.isEmpty(init) && "ok".equalsIgnoreCase(init)){
				mapQuestionResponse = mapInitialQuestionResponse;
			}
			if (mapQuestionResponse!=null && mapQuestionResponse.size()>0) {
				// Variables servant au mode pagination
				logger.info("************ "+mapQuestionResponse);
				boolean fFirstQuestion=true;
				int lfqPosition=Integer.MIN_VALUE;
				int p = 0;
			%>
			<hr class="hr_bcgw90"/>
			<div class="div_m2px5px">
				<b><%= Utils.getMessage(context, lngCode, "FF324", true,true,
						"Ces informations sont indispensables pour mettre  jour nos bases de donnes afin de vous contacter, de mettre  jour le Guide ainsi que l'ensemble de nos supports digitaux et ceux de nos partenaires :  ")%></b>
			</div>
			<%
				for (Entry<String,Vector<String>> entry : mapQuestionResponse.entrySet()) {
					String lfqID = entry.getKey();
					String hiddenlnk = "";
					
					LinkFormQuestionBean lfq=new LinkFormQuestionBean(lfqID,context);
					// Question or paragraph ?
					String questionID=null;
					try { questionID=lfq.getLfqFormQuestionID(); } catch (Exception e) {}
					String paragraph=null;
					try { paragraph=lfq.getLfqParagraph(); p++;} catch (Exception e) {}
					Vector<String> resps = entry.getValue();
					
					
					String responseID = null;
					if(resps != null && resps.size() > 0) responseID = resps.elementAt(0); // may be null
					
					try { lfqPosition=lfq.getLfqPosition(); } catch (Exception e) {}
					boolean isPrintedQuestion = true;
					boolean isPrintedPave = true;
					// removed from here
					if (paragraph != null) {
						if((!Utils.isNullEmptyString(paragraph) && (paragraph.equals("FF323") || paragraph.equals("FF325") || paragraph.endsWith("MF1F4") || paragraph.endsWith("FF294") ))){
							if(!(tiersPrincipalTypeValue.startsWith(prefix) || "T".equals(prefix))){
								isPrintedPave = false;
							}
						}
						if(!isPrintedPave) continue;
						if(p > 1){
					%>	
						</div>
					<% } 
					 %>
					<div class="webform_container div2_webform_container" id="<%=prefix %>_PARA<%=p %>">
					<%if(!paragraph.equals("LF295")){ %>
						<p class="webform_paragraph p_div_bgcgcf"><%= Utils.getMessage(context, lngCode, paragraph, true,true, paragraph).replaceAll("::millesime::", millesime).replaceAll("::millesime\\+1::", (Integer.parseInt(millesime)+1)+"").replaceAll("::millesime-1::", (Integer.parseInt(millesime)-1)+"") %></p>
					<% 
					} }else {
						FormQuestionBean question = null;
						QuestionResponseBean questionResponse=null;
						try {
							question = new FormQuestionBean(questionID , context);
							if (responseID!=null) {
								questionResponse = new QuestionResponseBean(responseID,context);
							}
						} catch (Exception e) {
						}
						
						int fqtSeqNum = -1;
						if(question != null){
							try{
								fqtSeqNum = question.getFqtSeqNum();
								String FqtLabel = question.getFqtLabel();
								// J'ai complete/lu les informations de cet onglet . (afficher seulement si on a qu'un seul onglet)
								if(fqtSeqNum == 121 && StringUtils.isNotBlank(FqtLabel) 
										&& FqtLabel.contains("lu les informations de cet onglet") && map.size() == 1){
										continue;
								}
								//Tourisme et Handicap (afficher seulement si c'est France/guadeloupe/guyane)
								String pays = "";
								if(fqtSeqNum == 31 || fqtSeqNum == 122){
									pays = (String) EnterpriseBean.lookup(context,"EntCtrID:RefVal",key);
									if(StringUtils.isNotBlank(pays) && !"FR".equals(pays) && !"GP".equals(pays) && !"GF".equals(pays)){
										continue;
									}
								}
								
								if(lfqPosition == 410  && prefix.equals("R")) {
									pays = (String) EnterpriseBean.lookup(context,"EntCtrID:RefVal",key);
									if(StringUtils.isNotBlank(pays) && !"FR".equals(pays) && !"GP".equals(pays) && !"GF".equals(pays)){
										continue;
									}
								}
								
									if((fqtSeqNum == 20 || fqtSeqNum == 22 || fqtSeqNum == 19 || fqtSeqNum == 18 || fqtSeqNum == 158 || fqtSeqNum == 159) || 
											(fqtSeqNum >= 133 && fqtSeqNum <= 135 ) || (fqtSeqNum >= 143  && fqtSeqNum <= 145) || 
											(fqtSeqNum >= 149  && fqtSeqNum <= 152) || (fqtSeqNum >= 153  && fqtSeqNum <= 156) || (fqtSeqNum >= 194 && fqtSeqNum <= 196 ) ||
											fqtSeqNum == 165 || fqtSeqNum == 29
											|| fqtSeqNum == 182  || fqtSeqNum == 1101 || fqtSeqNum == 213 ||
											 fqtSeqNum == 183 || fqtSeqNum == 30  || fqtSeqNum == 161 
											 || fqtSeqNum == 187 || fqtSeqNum == 188 || fqtSeqNum == 193
											 || fqtSeqNum == 572
											){
									if((tiersPrincipalTypeValue.startsWith(prefix) || "T".equals(prefix))){
										if(fqtSeqNum == 135 || fqtSeqNum == 145 ||  fqtSeqNum == 151 || fqtSeqNum == 155 || fqtSeqNum == 196){
											if(!EnterpriseHelper.isTiersHasASubResto(context, entID)){
												isPrintedQuestion = false;
											}
										}
									}else{
										isPrintedQuestion = false;
									}
									
									
								}
									
								if(tiersPrincipalTypeValue.startsWith("A") && fqtSeqNum == 165){
										isPrintedQuestion = false;
								}
								if(fqtSeqNum == 1) {
									p = 1;
								}
							}catch(FrontlineException eee){
							}
						}
						
						
						
						
						//request.setAttribute("hiddenlnk", hiddenlnk);
						request.setAttribute("responses",resps);
						request.setAttribute("initialresponses",mapInitialQuestionResponse);
						request.setAttribute("isActorLogis",actcode != null && !"ano".equalsIgnoreCase(actcode));
						request.setAttribute("curQuestion",question);  // La question a poser
						request.setAttribute("curQrs",questionResponse); // La r�ponse �ventuellement existente
						
						
						
						try{
							//50 415 12 114 434 
							//164 163
							Integer[] fqtSeqNumToHide = {12, 50, 114, 416, 434};
							List<Integer> list = Arrays.asList(fqtSeqNumToHide);
							Vector fqtSegNumV = new Vector(list);
							boolean isDisplayedSubTiersContact = true;
							isDisplayedSubTiersContact = (fqtSeqNum == 163 || fqtSeqNum == 164) ? !tiersPrincipalTypeValue.startsWith(prefix) : true;
							if((!fqtSegNumV.contains(fqtSeqNum) 
									|| (fqtSegNumV.contains(fqtSeqNum) && (tiersPrincipalTypeValue.startsWith(prefix) 
											|| "T".equals(prefix))))){//pour masquer des champs pour les maisons et les insolites dans le cas ou ils sont des sous tiers.
								
	if(isPrintedQuestion){// pour masquer le pav pour les sous tiers et pour masquer les info d chef cuisine dans le cas ou le tiers n'a pas de restaurant.
		if(isDisplayedSubTiersContact){//pour masquer les champ phone & mail pour les tiers principaux maison et  insolite.
						%>
			<jsp:include page="webform_question.jsp">
				<jsp:param name="lfqPos" value="<%= lfqPosition %>"/>
				<jsp:param name="lfqID" value="<%= lfqID %>"/>
				<jsp:param name="lngCode" value="<%=lngCode %>"/>
				<jsp:param name="countryID" value="<%=countryID %>"/>
				<jsp:param name="languageID" value="<%=languageID %>"/>
				<jsp:param name="millesime" value="<%=millesime %>"/>
				<jsp:param name="EntID" value="<%=key %>"/>
				<jsp:param name="prefix" value="<%=prefix %>"/>
			</jsp:include>
						<%
						}}}
						}catch(Exception e){
							e.printStackTrace();
						}
							
						if (fFirstQuestion) {
							positionFirstQuestion=lfqPosition-1;
						 %>
							<input type="hidden" name="firstQuestionPos" value="<%= lfqPosition %>">
						<% } // first question 
						
						fFirstQuestion=false;	
				
						}//N'est pas un paragraph
					} // while
					positionLastQuestion=lfqPosition;
					if(p >= 1){
					%>
					</div>
					<%} %>
				<%  
				//Nous avons gard ce code si le client dcidera dans les prochains questionnaires de re-ajouter la partie devis de cotisation.
					if(mapCotQuestionResponse != null && !mapCotQuestionResponse.isEmpty()){
						String filOppID = null;
						String depOppID = null;
						double filTotal = 0;
						double depTotal = 0;
						String ids = "";
						String idsHEB = "";
				%>
				<div id="PARACOT" class="webform_container div2_webform_container">
					<p class="webform_paragraph p2_div_bgcgcf">
					<%= Utils.getMessage(context, lngCode, "LF09F", "Cotisation") + " " + millesime %></p>
					<div class="webform_questionblock">
					<b><%=Utils.getMessage(context, lngCode, "LF22A", "Cotisation FIL") %>:</b><br><br>
						<table id="order-table">
 	    					<tr>
<th ><%=Utils.getMessage(context, lngCode, "F203F", "D�signation") %></th>
<th ><%=Utils.getMessage(context, lngCode, "F3023", "P. U. HT") %></th>
<th ><%=Utils.getMessage(context, lngCode, "LF18A",  "Quantit� factur�e") %></th>
<th ><%=Utils.getMessage(context, lngCode, "F3025",  "Remise sur P.U") %></th>
<th ><%=Utils.getMessage(context, lngCode, "FF132", "P. U. HT Apr�s Remise") %></th>
<th ><%=Utils.getMessage(context, lngCode, "FF134",  "Montant HT") %></th>
<th ><%=Utils.getMessage(context, lngCode, "FF130", "TVA � appliquer") %></th>
<th ><%=Utils.getMessage(context, lngCode, "FF140", "Montant TVA") %></th>
<th class="thprixnet" width="20%"><%=Utils.getMessage(context, lngCode, "F3026", "Prix net") %></th>
 	    					</tr>
    <%
    
    String PrdRegles_ = null;
	String COTHEB = null;
	boolean isHEB = false;
	
    try {
		COTHEB = dico.getRefIdByCode("Pl_", "Te1", "COTHEB");
	} catch (Exception e) {
		e.printStackTrace();
	}
    
    for (Entry<String,Vector<String>> entry : mapCotQuestionResponse.entrySet()) {
		String lfqID = entry.getKey();
		Vector<String> cotResps = entry.getValue();
		String filProID = null;
		ProductOpportunityBean filpro = null;
		if(cotResps != null && cotResps.size()>0 && !cotResps.isEmpty()){
		QuestionResponseBean qrs = null;
		
		if(cotResps.elementAt(0) != null){
			qrs = new QuestionResponseBean(cotResps.elementAt(0),context);
			try{
				filProID = qrs.getQrsText();
			}catch(FieldNotInitializedException e){
				
			}
		}
			if(filProID != null){
				String prdCode=null; 
				try {
				filpro = new ProductOpportunityBean(filProID, context);
				prdCode = (String)ProductOpportunityBean.lookup(context, "ProPrdID:PrdCode", filProID);
				} catch (Exception e1) {
					e1.printStackTrace();
				}
				try {
					PrdRegles_ = (String)ProductOpportunityBean.lookup(context, "ProPrdID:PrdRegles_", filProID);
					System.out.println("PrdRegles_= " + PrdRegles_);
				} catch (Exception e1) {
					PrdRegles_ = null;
					e1.printStackTrace();
				}
				isHEB = PrdRegles_ != null && !PrdRegles_.isEmpty() && PrdRegles_.equals(COTHEB);
				
				}
			}
		}
    Integer maxOrder = 0;
    
    PrdRegles_ = null;
	isHEB = false;
	boolean first_HEB = true;
    
    	 for (Entry<String,Vector<String>> entry : mapCotQuestionResponse.entrySet()) {
    		 
				String lfqID = entry.getKey();
				Vector<String> cotResps = entry.getValue();
				String filProID = null;
				String depProID = null;
				int proQuantity = 0;
				ProductOpportunityBean filpro = null;
				String ProMontantTva_ = "";
				String ProPrdTva_Val = "";
				String ProRemise_ = "";
				if(cotResps != null && cotResps.size()>0 && !cotResps.isEmpty()){
				QuestionResponseBean qrs = null;
				
				if(cotResps.elementAt(0) != null){
					qrs = new QuestionResponseBean(cotResps.elementAt(0),context);
					try{
						filProID = qrs.getQrsText();
					}catch(FieldNotInitializedException e){
						
					}
				}
				if(cotResps.size() > 1 && cotResps.elementAt(1) != null){
					qrs = new QuestionResponseBean(cotResps.elementAt(1),context);
					try{
						depProID = qrs.getQrsText();
					}catch(FieldNotInitializedException e){
						
					}
				}
				
				if(cotResps.size() > 2 && cotResps.elementAt(2) != null){
					qrs = new QuestionResponseBean(cotResps.elementAt(2),context);
					try{
						String quantity = qrs.getQrsText();
						
						Integer temp=0;
						try{
							temp = Integer.valueOf(quantity);
						}catch(Exception e){
							logger.error(e.getMessage());
						}
						proQuantity = (quantity != null && !quantity.isEmpty()) ? temp : 0;
						
					}catch(FieldNotInitializedException e){
						
					}
				}
				if(filProID != null && filProID.length()==16){
					String prdCode=null; 
					try {
					filpro = new ProductOpportunityBean(filProID, context);
					prdCode = (String)ProductOpportunityBean.lookup(context, "ProPrdID:PrdCode", filProID);
					} catch (Exception e1) {
						e1.printStackTrace();
					}
					
					Integer maxquantity = null;
					try{
						maxquantity = (Integer)ProductOpportunityBean.lookup(context, "ProPrdID:PrdMaxQt_", filProID);
					}catch(Exception e){
					}
					
					Integer tmp = null;
					try{
					 tmp = (Integer)ProductOpportunityBean.lookup(context, "ProPrdID:PrdOrderQst_", filProID);
					}catch(Exception e){
						
					}
					String SortingOrder = null;
					if(tmp==null)
						SortingOrder = "0";
					else{
						SortingOrder = tmp.toString();
						if(tmp>maxOrder)
							maxOrder = tmp;
						}
					
					try{
					ProMontantTva_ = ""+((Double)ProductOpportunityBean.lookup(context, "ProMontantTva_", filProID)/ (Integer)ProductOpportunityBean.lookup(context, "ProQuantity", filProID));
					}catch(Exception e){
						logger.warn(e.getMessage());
						ProMontantTva_ = "0.0";
					}

					try{
					ProPrdTva_Val = ""+ProductOpportunityBean.lookup(context, "ProPrdTva_:Val", filProID);
					}catch(Exception e){
						logger.warn(e.getMessage());
						ProPrdTva_Val = "0.0";
					}

					try{
					ProRemise_ = ""+ProductOpportunityBean.lookup(context, "ProRemise_", filProID);
					}catch(Exception e){
						logger.warn(e.getMessage());
						ProRemise_ = "0.0";
					}
					
					Double ProRemise_Nu1 = (double) 0;
					try{
						ProRemise_Nu1 = (Double)dico.getRefDisp("Od_", "Nu1", ProRemise_); 
					} catch (FrontlineException e) {
					}
					
					Double ProUnitHTrem_ = null;
					Double ProMontantHTrem_ = null;
					Double ProMontantTva_2 = null;
					try { 
					ProUnitHTrem_ = (Double)ProductOpportunityBean.lookup(context, "ProUnitHTrem_", filProID);
					ProMontantHTrem_ = (Double)ProductOpportunityBean.lookup(context, "ProMontantHTrem_", filProID);
					ProMontantTva_2 = (Double)ProductOpportunityBean.lookup(context, "ProMontantTva_", filProID);
					} catch (Exception e1){
						e1.printStackTrace();
					}
					String prdLabel = null;
					if(ids != "") ids += "," + prdCode;
					else ids += prdCode;
					
					try {
						PrdRegles_ = (String)ProductOpportunityBean.lookup(context, "ProPrdID:PrdRegles_", filProID);
						System.out.println("PrdRegles_= " + PrdRegles_);
					} catch (Exception e1) {
						PrdRegles_ = null;
						e1.printStackTrace();
					}
					isHEB = PrdRegles_ != null && !PrdRegles_.isEmpty() && PrdRegles_.equals(COTHEB);
					if (isHEB) {
						if(idsHEB != "") idsHEB += "," + "="+prdCode+"=";
						else idsHEB += "="+prdCode+"=";
					}

					String prdID =null;
					String prdName =null;
					String prdnamelng_ =null;
					try{

					prdID = (String)ProductOpportunityBean.lookup(context, "ProPrdID", filProID);
					prdName = (String)ProductOpportunityBean.lookup(context, "ProPrdID:PrdName", filProID);
					prdnamelng_ = (String)ProductOpportunityBean.lookup(context, "ProPrdID:PrdNamelng_", filProID);
					try{
					String[] fields = {"RelTe1"};
					String[][] query = {{"RelRefID = '" + prdnamelng_ + "'" , "RelLngID = '" + languageID + "'" }};
					String[] orderBy = {"RelTe1 ASC"};
					@SuppressWarnings({ "rawtypes"})
					Vector list = RefLocaleBean.listSummary(context, fields, query, orderBy );
					if(list != null && list.size() > 0){
						@SuppressWarnings({ "rawtypes"})
						Hashtable line = (Hashtable)list.elementAt(0);
						prdLabel = (String)line.get("RelTe1");
					}
					}catch(Exception e){
					}
					
					}catch(Exception e ){
						logger.warn(e.getMessage());
					}
					//int proQuantity = (Integer)ProductOpportunityBean.lookup(context, "ProQuantity", filProID);
					try{
					filOppID = (String)ProductOpportunityBean.lookup(context, "ProOppID", filProID);
					}catch(FrontlineException e){
						e.printStackTrace();
					}
					double filProttc = 0;
					try{
						filProttc = (Double)ProductOpportunityBean.lookup(context, "ProPrice", filProID);
					}catch(FrontlineException e){}
					double priUnit = 0;
					try{
						///Avoir
						priUnit = (Double)ProductOpportunityBean.lookup(context, "ProUnitPrice", filProID);
					}catch(FrontlineException e){}
					String proPrdTva_ =null;
					try{
						proPrdTva_ = (String)ProductOpportunityBean.lookup(context, "ProPrdTva_", filProID);
					}catch(FrontlineException e){
						e.printStackTrace();
					}
					try{
					proPrdTva_ = dico.getRefCode("ProPrdTva_", proPrdTva_);
					}catch(FrontlineException e){
						e.printStackTrace();
					}
					if("T0".equalsIgnoreCase(proPrdTva_)) proPrdTva_ = "TVA INTRACOM";
					double depProttc = 0;
					if(depProID != null) {
						try{
							depProttc = (Double)ProductOpportunityBean.lookup(context, "ProPrice", depProID);
							depOppID = (String)ProductOpportunityBean.lookup(context, "ProOppID", depProID);
						}catch(FrontlineException e){}
					}

					try{
    	 %>
    	    <input type="hidden" name="<%=prdCode + "ProductOpportunityFIL" %>" id="<%=prdCode %>" value="<%= filProID %>"/>
    	    <input type="hidden" name="<%=prdCode + "ProductOpportunityDEP" %>" id="<%=prdCode %>" value="<%= depProID != null ? depProID : "" %>"/>
            <tr class="odd">
                <td class="product-title"><em><%=(prdLabel != null ? prdLabel : Utils.formatToWeb(prdName, false)) + "&nbsp;(" + proPrdTva_ + ") " %></em>
                <% }catch(Exception e){
                		System.out.println(e.getMessage());
                	}
                		if(isHEB){
                			out.print("<br/><span class=\"boldplafon\">"+Utils.getMessage(context, lngCode, "MF101", true,true,"*Plafonn� � XX h�bergements.").replace("XX", maxquantity+"")+"</span>");
                		}
                		try{
                %>
                </td>
                <td align="right"><span><%=Utils.formatToWeb(priUnit, false)%></span>&nbsp;&euro;<input type="hidden" id="<%= "pr_" + prdCode%>" value="<%= priUnit %>"/></td>
                <td class="row-total">
                <input type="text" class="num-pallets-input <%=(isHEB ? "prd-heb":"") %>" id="<%= "qu_" + prdCode%>" name="<%= "qu_" + prdCode%>" 
                	value="<%=proQuantity %>" 
                	onchange="javascript:calculTotalPrd('<%=prdCode%>');" 
                	disabled="disabled"/>
                	
                	<input type="hidden" id="max_qu_<%=prdCode%>" name="max_qu_<%=prdCode%>" value="<%=(maxquantity==0 ? 50 : maxquantity)%>" />
                </td>
                <% }catch(Exception e){
					e.printStackTrace();
    			} 
    			try{%>
                <td align="center"><span><%=ProRemise_Nu1.intValue()+"%"%></span><input type="hidden" id="<%= "REMT1_" + prdCode%>" value="<%= ProRemise_Nu1.intValue() %>"/></td>
                  <% }catch(Exception e){
					e.printStackTrace();
    			} 
    			try{%>
                <td align="right"><span><%=ProUnitHTrem_%></span>&nbsp;&euro;<input type="hidden" id="<%= "ProUnitHTT1_" + prdCode%>" value="<%=ProUnitHTrem_%>" /></td>
                  <% }catch(Exception e){
					e.printStackTrace();
    			} 
    			try{%>
                <td align="right" id="<%= "MTHTT1_" + prdCode%>"><span><%=ProMontantHTrem_%></span>&nbsp;&euro;</td>
                  <% }catch(Exception e){
					e.printStackTrace();
    			} 
    			try{%>
                <td align="center"><span><%=ProPrdTva_Val%></span><input type="hidden" id="<%= "TVAT1_" + prdCode%>" value="<%= ProPrdTva_Val.substring(0,ProPrdTva_Val.length()-1).replace(",", ".") %>"/></td>
                  <% }catch(Exception e){
					e.printStackTrace();
    			} 
    			try{%>
                <td align="right" id="<%= "MTTVAT1_" + prdCode%>"><span><%=ProMontantTva_2%></span>&nbsp;&euro;</td>
                  <% }catch(Exception e){
					e.printStackTrace();
    			} 
    			try{%>
                <td align="right" class="row-total"><input type="text"  style="text-align:right;" class="row-total-input" id="<%= "tofil_" + prdCode %>" disabled="disabled" value="<%= filProttc %>"/>&nbsp;&euro;</td>
                  <% }catch(Exception e){
					e.printStackTrace();
    			} 
    			try{%>
                <td class="row-total " style="display: none;">
                <input type="hidden" id="<%= "REM_tofil_" + prdCode %>" value="<%=((double)(ProRemise_Nu1*priUnit)/100) %>"/>
                  <% }catch(Exception e){
					e.printStackTrace();
    			} 
    			try{%>
                <input type="hidden" id="<%= "TVA_tofil_" + prdCode %>" value="<%=ProMontantTva_%>"/>
                  <% }catch(Exception e){
					e.printStackTrace();
    			} 
    			try{%>
                <input type="text" class="row-total-input" id="<%= "tofil_" + prdCode %>" disabled="disabled" value=""/></td>
                  <% }catch(Exception e){
					e.printStackTrace();
    			} %>
                <td class="sort" style="display: none;"><%=SortingOrder %></td>
            </tr>
		            <%
					}
				}	
			if(isHEB && first_HEB)
				first_HEB = false;
    	 }
    		if(filOppID != null) {
    			try{
    				filTotal = (Double) OpportunityBean.lookup(context, "OppNetApayer_", filOppID);
    			}catch(FrontlineException e){
    				
    			}
    			filTotal = (new BigDecimal(filTotal)).setScale(2, java.math.RoundingMode.UP).doubleValue();
    		}
    		if(depOppID != null) {
    			try{
    				depTotal = (Double) OpportunityBean.lookup(context, "OppNetApayer_", depOppID);
				}catch(FrontlineException e){
    				
    			}
    		}
    	    %>
    	    <tr>
    	    <td colspan="4">&nbsp;</td>
    	    <td>&nbsp;</td>
    	   <td class="thstyle"><%=Utils.getMessage(context, lngCode, "LF18B", "Total HT") %></td>
    	   <td class="thstyle">&nbsp;</td>
			<td class="thstyle"><%=Utils.getMessage(context, lngCode, "LF18C", "Total TVA") %></td>
			<td class="thstyle"><%=Utils.getMessage(context, lngCode, "LF18D", "Total TTC") %></td>
			<td class="sort" style="display: none;"><%=maxOrder+1 %></td>
			</tr>
    	    <tr class="odd">
  	    			<td colspan="4">&nbsp;</td>
  	    			<td class="thstyle"><%=Utils.getMessage(context, lngCode, "F1058", "Total")%>&nbsp;</td>
  	    			<td align="right" id="MTHTT1_Total">&nbsp;</td>
  	    			<td>&nbsp;</td>
  	    			<td align="right" id="MTTVAT1_Total">&nbsp;</td>
   	    			<td class="row-total"><input type="text" class="row-total-input" id="tofil" style="text-align:right;" disabled="disabled" value="<%= filTotal %>"/>&nbsp;&euro;</td>
                 	<td class="sort" style="display: none;"><%=maxOrder+2 %></td>
  	    		</tr>
    	    
  	    		
  	    		<input type="hidden" id="prdcodes" value="<%= ids %>"/>
  	    		<input type="hidden" id="prdcodesHEB" value="<%= idsHEB %>"/>
    	    <input type="hidden" id="fil" name="FILOpportunity" value="<%= filOppID != null ? filOppID : "" %>"/>
    	    <input type="hidden" id="dep" name="DEPOpportunity" value="<%= depOppID != null ? depOppID : "" %>"/>
    	    
         </table>
         
         <br/>
				         
		 <jsp:include page="webform-guide-devis-asso.jsp" />
		          
         <script type="text/javascript">
         doLoadCot();
		 <%	
			String numThemQst = FormHelper.getNumThematiquesQuestion(context,eventCode);
		 %>
		 
		 function thematiqueToDisabled(){
			$("input[name='<%=numThemQst%>_ResponseRefID']").attr("disabled","disabled");
		 }
		 thematiqueToDisabled();
		 
		 $("ul.ul_w95ofh").find("input[type=radio]").each(function(){
	            if(this.checked){
	            	$("#div3_w50fl input[name='<%=prefix%>_490_ResponseInt']").attr('disabled','disabled');
	            }else{
	            	$("#div3_w50fl input[name='<%=prefix%>_490_ResponseInt']").removeAttr('disabled');
	            }
	        });
		 
		 var checker = $.trim($("#div1_w50fl input[name='<%=prefix%>_56_ResponseTxt']").val()).length === 0;
	        $("#div3_w50fl input[name='<%=prefix%>_57_ResponseInt']").attr('disabled', !checker);

	 		if(checker){
		        var checker2 = $.trim($("#div3_w50fl input[name='<%=prefix%>_57_ResponseInt']").val()).length === 0;
		        $("#div1_w50fl input[name='<%=prefix%>_56_ResponseTxt']").attr('disabled', !checker2);
			}
	 		
         </script>
		   <br>
		   <ol style="color: red;">
		   	 <% String num_aff=  Contrat_Helper.getAffiliateNumber(context, perEntID) ;%>
		     <%= Utils.getMessage(context, lngCode, "LF224", true,true,"<li><b>Cotisation FIL :</b>") %>
		     <%= Utils.getMessage(context, lngCode, "LF225", true,true,"joindre 1 ch�que bancaire. La FIL �tablira une facture pour cette cotisation</li>").replace("xxxxx", num_aff) %>
		   </ol>	
		   <br>
		<% 
		String ctID = Contrat_Helper.getActifContractID(context, entID);
		String code = "";
		if(ctID != null && !Utils.isEmpty(ctID)){
			code = (String)com.edeal.frontline.custom.Contrat_Bean.lookup(context, "Ct_ModeReg:RefVal", ctID);
		}
		if(code!=null && !Utils.isEmpty(code) && "MS".equals(code)){ %>
				        <b><%= Utils.getMessage(context, lngCode, "MF0FD", true,true,"Vous avez opt� pour le paiement des cotisations par pr�l�vement mensuel. vous n'avez pas de r�glement � effectuer.")%></b>
		<% } %>
				        
					</div>
				</div>
				<% 
				} //cotisation map ....> if(mapCotQuestionResponse != null && !mapCotQuestionResponse.isEmpty())  
				%>
				<input type="hidden" name="lastQuestionPos" value="<%= lfqPosition %>">
				<%
				} //response map if not null if (mapQuestionResponse!=null && mapQuestionResponse.size()>0)
				%>
				</form>
				</div>
				<% 
				first = false; 
				} //while tiers response map while(it.hasNext())
				%>
<!-- 				start Covid -->
				<%
			
			
			tiersPrincipalTypeValue = EnterpriseHelper.getTiersPrincipalTypeValue(context, entID);
			first = true;
// 			while(it.hasNext()){
				String key = entID;
				String val = tiersPrincipalTypeValue;
				String QuestRespConst = LoadWebFormPvtAction.ATT_QUESTIONRESPONSEMAP;
				String InitQuestRespConst = LoadWebFormPvtAction.ATT_INIT_QUESTIONRESPONSEMAP;
				String prefix = "T";
				if(tiersPrincipalTypeValue.startsWith("R")){
					prefix = "R";
				}else if(tiersPrincipalTypeValue.startsWith("M")){
					prefix = "M";
				}else if(tiersPrincipalTypeValue.startsWith("I")){
					prefix = "I";
				}
				String title = (String) EnterpriseBean.lookup(context,"EntTyeID:RefTe1",key);
				title += ": " + (String) EnterpriseBean.lookup(context,"EntDispName_",key);
			%>
		
		<div class="tab doNotPrint <%=first ? "":"pageBreakBeforeThis"%>" style="display:none;">
		  <button class="tablinks active"><%=title %></button>
		</div>
			
		<div id="<%=val+key %>_Covid" class="tabcontent doNotPrint" style="display:none">
		
		<% 
		
		peridForm = Person.getID();
		utkForm = utk;
		%>
		<form action="<fl:webapp/>/save_web_form_ajax.fl?" enctype="multipart/mixed stream" id="<%=prefix %>_Covid_Form" method="POST" name="<%=prefix %>_Covid_Form">
			<input type="hidden" name="id" value="<%=Form.getID()%>">
			<input type="hidden" name="type" value="Form">
			<input type="hidden" name="$$presentFields" value="">
			<input type="hidden" id="$$multivalSeparator" name="$$multivalSeparator" value="|">
		
			<input type="hidden" name="utk" value="<%=utkForm%>">
			<input type="hidden" name="event" value="<%=eventCode%>">
			<input type="hidden" name="FormID" value="<fl:getProperty name="Form" alt="" property="FrmID"/>">
			<input type="hidden" name="PerID" value="<%=peridForm %>">
			<input type="hidden" name="EventID" value="<fl:getProperty name="Form" alt="" property="FrmEventID"/>">
			<input type="hidden" name="savemode" value="<%= (isFormPaginated?"partial":"full") %>"/>
			<input type="hidden" name="prefix" value="<%=prefix %>">
			<% 
			if(init != null && !Utils.isEmpty(init) && "ok".equalsIgnoreCase(init)){
				mapQuestionResponse = mapInitialQuestionResponse;
			}
			if (mapSanitQuestionResponse!=null && mapSanitQuestionResponse.size()>0) {
				// Variables servant au mode pagination
				logger.info("************ "+mapSanitQuestionResponse);
				boolean fFirstQuestion=true;
				int lfqPosition=Integer.MIN_VALUE;
				int p = 0;
			%>
			<hr class="hr_bcgw90"/>
			<%
				for (Entry<String,Vector<String>> entry : mapSanitQuestionResponse.entrySet()) {
					String lfqID = entry.getKey();
					String hiddenlnk = "";
					
					LinkFormQuestionBean lfq=new LinkFormQuestionBean(lfqID,context);
					// Question or paragraph ?
					String questionID=null;
					try { questionID=lfq.getLfqFormQuestionID(); } catch (Exception e) {}
					String paragraph=null;
					try { paragraph=lfq.getLfqParagraph(); p++;} catch (Exception e) {}
					Vector<String> resps = entry.getValue();
					
					
					String responseID = null;
					if(resps != null && resps.size() > 0) responseID = resps.elementAt(0); // may be null
					
					try { lfqPosition=lfq.getLfqPosition(); } catch (Exception e) {}
					boolean isPrintedQuestion = true;
					boolean isPrintedPave = true;
					// removed from here
					if (paragraph != null) {
						if(p > 1){
					%>	
						</div>
					<% } 
					 %>
					<div class="webform_container div2_webform_container" id="<%=prefix %>_PARA<%=p %>">
						<p class="webform_paragraph p_div_bgcgcf"><%= Utils.getMessage(context, lngCode, paragraph, true,true, paragraph) %></p>
					<% 
					} else {
						FormQuestionBean question = null;
						QuestionResponseBean questionResponse=null;
						try {
							question = new FormQuestionBean(questionID , context);
							if (responseID!=null) {
								questionResponse = new QuestionResponseBean(responseID,context);
							}
						} catch (Exception e) {
						}
						
						int fqtSeqNum = -1;
						if(question != null){
							try{
								fqtSeqNum = question.getFqtSeqNum();
								String FqtLabel = question.getFqtLabel();
								// J'ai complete/lu les informations de cet onglet . (afficher seulement si on a qu'un seul onglet)
								if(fqtSeqNum == 121 && StringUtils.isNotBlank(FqtLabel) 
										&& FqtLabel.contains("lu les informations de cet onglet") && map.size() == 1){
										continue;
								}
								//Tourisme et Handicap (afficher seulement si c'est France/guadeloupe/guyane)
								
								if((fqtSeqNum == 20 || fqtSeqNum == 22 || fqtSeqNum == 19 || fqtSeqNum == 18 || fqtSeqNum == 158 || fqtSeqNum == 159) || 
										(fqtSeqNum >= 133 && fqtSeqNum <= 135 ) || (fqtSeqNum >= 143  && fqtSeqNum <= 145) || 
										(fqtSeqNum >= 149  && fqtSeqNum <= 152) || (fqtSeqNum >= 153  && fqtSeqNum <= 156) || fqtSeqNum == 165){
									if((tiersPrincipalTypeValue.startsWith(prefix) || "T".equals(prefix))){
										if(fqtSeqNum == 135 || fqtSeqNum == 145 ||  fqtSeqNum == 151 || fqtSeqNum == 155){
											if(!EnterpriseHelper.isTiersHasASubResto(context, entID)){
												isPrintedQuestion = false;
											}
										}
									}else{
										isPrintedQuestion = false;
									}
								}
								if(fqtSeqNum == 1) {
									p = 1;
								}
							}catch(FrontlineException eee){
							}
						}
						
						
						
						
						//request.setAttribute("hiddenlnk", hiddenlnk);
						request.setAttribute("responses",resps);
						request.setAttribute("initialresponses",mapInitialSanitQuestionResponse);
						request.setAttribute("isActorLogis",actcode != null && !"ano".equalsIgnoreCase(actcode));
						request.setAttribute("curQuestion",question);  // La question a poser
						request.setAttribute("curQrs",questionResponse); // La r�ponse �ventuellement existente
						
						
						
						try{
							//50 415 12 114 434 
							//164 163
							Integer[] fqtSeqNumToHide = {12, 50, 114, 416, 434};
							List<Integer> list = Arrays.asList(fqtSeqNumToHide);
							Vector fqtSegNumV = new Vector(list);
							boolean isDisplayedSubTiersContact = true;
							isDisplayedSubTiersContact = (fqtSeqNum == 163 || fqtSeqNum == 164) ? !tiersPrincipalTypeValue.startsWith(prefix) : true;
							if((!fqtSegNumV.contains(fqtSeqNum) 
									|| (fqtSegNumV.contains(fqtSeqNum) && (tiersPrincipalTypeValue.startsWith(prefix) 
											|| "T".equals(prefix))))){//pour masquer des champs pour les maisons et les insolites dans le cas ou ils sont des sous tiers.
								
	if(isPrintedQuestion){// pour masquer le pav pour les sous tiers et pour masquer les info d chef cuisine dans le cas ou le tiers n'a pas de restaurant.
		if(isDisplayedSubTiersContact){//pour masquer les champ phone & mail pour les tiers principaux maison et  insolite.
						%>
			<jsp:include page="webform_question.jsp">
				<jsp:param name="lfqPos" value="<%= lfqPosition %>"/>
				<jsp:param name="lfqID" value="<%= lfqID %>"/>
				<jsp:param name="lngCode" value="<%=lngCode %>"/>
				<jsp:param name="countryID" value="<%=countryID %>"/>
				<jsp:param name="languageID" value="<%=languageID %>"/>
				<jsp:param name="millesime" value="<%=millesime %>"/>
				<jsp:param name="EntID" value="<%=key %>"/>
				<jsp:param name="prefix" value="<%=prefix %>"/>
			</jsp:include>
						<%
						}}}
						}catch(Exception e){
							e.printStackTrace();
						}
							
						if (fFirstQuestion) {
							positionFirstQuestion=lfqPosition-1;
						 %>
							<input type="hidden" name="firstQuestionPos" value="<%= lfqPosition %>">
						<% } // first question 
						
						fFirstQuestion=false;	
				
						}//N'est pas un paragraph
					} // while
					positionLastQuestion=lfqPosition;
					if(p >= 1){
					%>
					</div>
					<%} %>
				<%
				} //response map if not null if (mapQuestionResponse!=null && mapQuestionResponse.size()>0)
				%>
				</form>
				</div>
				<% 
// 				} //while tiers response map while(it.hasNext())
				%>
				
				
				<% if(printOnly == null) {%>
				<!--  Plus ncessaire ! <div id="webform_footer" class="webform_container">
				
						<%= Utils.getMessage(context, lngCode, "MF10C", true,true,"<br /><div align='CENTER'><b>Avant de signer, veuillez NOTER le montant de la cotisation 2016 </b></div>").replaceAll("::millesime::",millesime).replaceAll("::millesime\\+1::", (Integer.parseInt(millesime)+1)+"").replaceAll("::millesime-1::", (Integer.parseInt(millesime)-1)+"") %>
				</div>-->
				<%} %>
				
				<%if(init == null || Utils.isEmpty(init) || !"ok".equalsIgnoreCase(init)){%>
				<div id="webform_links" class="webform_container doNotPrint">
				<%if (contratRompu != null){ 
				if(actcode != null && !"ano".equalsIgnoreCase(actcode)){%>	
				<div class="ValidButton">
				<span onclick="javascript:window.print();"><%= Utils.getMessage(context, lngCode, "FF2B7", true,true,"J'imprime le questionnaire") %></span>
				</div>
				<% if(LoadWebFormPvtAction.isItOkToShowPrevaliderButtons(context,Person.getPerID(),Form.getFrmEventID()) && !"TRUE".equals(printOnly) ){
				%>
				<div class="ValidButton">
				<span onclick="javascript:doSubmitAjax('leavemode=seeyou&complete=false&prevalider=chambres');"><%= Utils.getMessage(context, lngCode, "MF192", true,true,"Pr-valider Chambres") %></span>
				</div>
				<div class="ValidButton">
				<span onclick="javascript:doSubmitAjax('leavemode=seeyou&complete=false&prevalider=divers');"><%= Utils.getMessage(context, lngCode, "MF193", true,true,"Pr-valider Divers") %></span>
				</div>
				<%}%>
				<%if(printOnly == null){ %>
				<div class="ValidButton">
				<span class="Valid_Text_Button" onclick="javascript:doSubmitVajax('leavemode=bye&complete=true&validate=true&integrate=false');"><%= Utils.getMessage(context, lngCode, "F6003", true,true,"Valider") %></span>
				</div>
				<%} %>
				<% }else if(actcode == null || "ano".equalsIgnoreCase(actcode)){ %>
				<script>
				var date = new Date();
				var year = date.getFullYear();
				if(year==2018){
				document.getElementsByName("211_ResponseTxt")[0].value=null;
				}
				</script>
				<div class="ValidButton">
				<span onclick="javascript:window.print()"><%= Utils.getMessage(context, lngCode, "FF2B3", true,true,"J'imprime mon questionnaire") %></span>
				</div>
				<div class="ValidButton">
				<span onclick="javascript:doSubmitAjax('leavemode=seeyou&complete=false');"><%= Utils.getMessage(context, lngCode, "FF2B2", true,true,"J'enregistre et je finaliserai ma saisie plus tard (mes contenus ne sont pas valids)") %></span>
				</div>
				<div class="ValidButton">
				<span class="Valid_Text_Button" onclick="javascript:doSubmitVajax('leavemode=bye&complete=true&validate=false');"><%= Utils.getMessage(context, lngCode,  "FF2B4", true,true,"Je valide mes contenus") %></span>
				</div>
				<% }if (hasNextQuestions) { %>
				<div class="ValidButton">
				<span onclick="javascript:doSubmitAjax('next=<%= positionLastQuestion %>')">Suivant &gt;&gt;</span>
				</div>
				<% } %>	
				<br>
				<%} %>

				</div>
				<!-- End Ok -->
				<%} %>
				<div id="webform_termsofuse" class="webform_container">
						<%= webTermsOfUse %>
				</div>
		
		</div>
		<div id="light" class="white_content doNotPrint">
		<br><br><br><b><%= Utils.getMessage(context, lngCode, "L639B", true,true,"Chargement ...") %></b><br><br>
			<img src="<fl:webapp/>/icons/chargement.gif" alt=""/>
		</div>
    	<div id="fade" class="black_overlay doNotPrint"></div>
<noscript>
	    <style type="text/css">
	        #webform_links {display:none;}
	    </style>
	    <div class="noscriptmsg">
	    <b><%= Utils.getMessage(context, lngCode, "MF121", true,true,"Votre navigateur a dsactiv javascript pour cette page. Malheureusement, pour valider ce formulaire il faut que javascript soit activ. Veuillez activer javascript et rafrachir la page. ") %></b>
	    </div>
</noscript>
	</body>
</html> 